
local MakePlayerCharacter = require "prefabs/player_common"


local assets = {

        Asset( "ANIM", "anim/player_basic.zip" ),
        Asset( "ANIM", "anim/player_idles_shiver.zip" ),
        Asset( "ANIM", "anim/player_actions.zip" ),
        Asset( "ANIM", "anim/player_actions_axe.zip" ),
        Asset( "ANIM", "anim/player_actions_pickaxe.zip" ),
        Asset( "ANIM", "anim/player_actions_shovel.zip" ),
        Asset( "ANIM", "anim/player_actions_blowdart.zip" ),
        Asset( "ANIM", "anim/player_actions_eat.zip" ),
        Asset( "ANIM", "anim/player_actions_item.zip" ),
        Asset( "ANIM", "anim/player_actions_uniqueitem.zip" ),
        Asset( "ANIM", "anim/player_actions_bugnet.zip" ),
        Asset( "ANIM", "anim/player_actions_fishing.zip" ),
        Asset( "ANIM", "anim/player_actions_boomerang.zip" ),
        Asset( "ANIM", "anim/player_bush_hat.zip" ),
        Asset( "ANIM", "anim/player_attacks.zip" ),
        Asset( "ANIM", "anim/player_idles.zip" ),
        Asset( "ANIM", "anim/player_rebirth.zip" ),
        Asset( "ANIM", "anim/player_jump.zip" ),
        Asset( "ANIM", "anim/player_amulet_resurrect.zip" ),
        Asset( "ANIM", "anim/player_teleport.zip" ),
        Asset( "ANIM", "anim/wilson_fx.zip" ),
        Asset( "ANIM", "anim/player_one_man_band.zip" ),
        Asset( "ANIM", "anim/shadow_hands.zip" ),
        Asset( "SOUND", "sound/sfx.fsb" ),
        Asset( "SOUND", "sound/wilson.fsb" ),
        Asset( "ANIM", "anim/beard.zip" ),

		-- Don't forget to include your character's custom assets!
        Asset( "ANIM", "anim/joh.zip" ),
}
local prefabs=
{
	"goldenaxe",
}

local start_inv = 
{
	"goldenaxe",
}


local fn = function(inst)
	
	-- choose which sounds this character will play
	inst.soundsname = "willow"

	-- a minimap icon must be specified
	inst.MiniMapEntity:SetIcon( "johanna.tex" )

	-- todo: Add an example special power here.
    inst.components.combat.damagemultiplier = 5	
    inst.components.health.maxhealth = 170
    inst.components.locomotor.walkspeed = 5
    inst.components.locomotor.runspeed = 8
    inst.components.sanity:SetMax(120)

local dapperness_onrain = (-TUNING.SANITY_TINY)
-- You can also use (-TUNING.SANITY_SMALL), or a custom value
 
local function rain_start()
    inst.components.sanity.dapperness = dapperness_onrain
end
GetWorld():ListenForEvent("rainstart", rain_start)
 
local function rain_stop()
    inst.components.sanity.dapperness = 0
end
GetWorld():ListenForEvent("rainstop", rain_stop)

end



return MakePlayerCharacter("joh", prefabs, assets, fn, start_inv)
